List

Lists cases for the caller’s organization with filtering, sorting, and pagination. | authz: min_org_role=operator | () -> (CaseListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

sort_byenum or nullOptional
Field to sort by
Allowed values:
sort_orderenum or nullOptional

Sort order (asc or desc)

Allowed values:
pageinteger or nullOptional>=1Defaults to 1
page_sizeinteger or nullOptional1-100Defaults to 20
filter_statusenum or nullOptional

Filter by status(es)

Allowed values:
filter_department_idstring or nullOptional

Filter by department ID(s)

filter_assigned_operator_user_idstring or nullOptional

Filter by assigned operator user ID (matches any case that includes this user)

filter_needs_actionboolean or nullOptional

Filter by needs_action flag

filter_unassignedboolean or nullOptional
Filter for unassigned cases

Response

Successful Response
itemslist of objects
total_countinteger

Errors

422
Cases List V1request Unprocessable Entity Error